This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 44078 - Changes to /etc/sysconfig/desktop not effective
Changes to /etc/sysconfig/desktop not effective
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: switchdesk (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-10 21:55 EDT by jason buberel
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-03 21:26:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jason buberel 2001-06-10 21:55:19 EDT
Description of Problem:
The /etc/sysconfig/desktop file that is configured during a RedHat install where Gnome is the chosen as the desktop will contain the string 'GNOME'. This results in 'gdm' being chosen as the login/display manager progem. However, changing the contents of this file to 'KDE' or 'KDE2' still result in 'gdm' being launched as the login/display manager.

How Reproducible:
Always

Steps to Reproduce:
1. Edit the file /etc/sysconfig/desktop to contain only the text 'KDE'.
2. As root, kill -TERM the parent gdm process, causing init to restart X.

Actual Results:
Once init has restarted X, you will still see the Gnome login window.

Expected Results:
The user should see the KDE login window instead.

Additional Information:
When you run /etc/X11/prefdm in shell debug mode, you will see that even when /etc/sysconfig/desktop contains 'GNOME', it actually launches GNOME becuase it is the fallback login manager, not becuase it was specified.

The only way to force /etc/X11/prefdm to honor your choice of login manager, you have to put 'DISPLAYMANAGER=KDE2' or 'DISPLAYMANAGER=GNOME' into /etc/X11/desktop.

Here is a transcript of a run of prefdm with extra echo's from me. When this was executed the /etc/X11/dekstop file contained 'KDE2':

+ '[' -f /etc/sysconfig/desktop ']'
+ echo 'found /etc/sysconfig/desktop'
found /etc/sysconfig/desktop                  
+ source /etc/sysconfig/desktop                        
+ '[' -n '' ']'  
+ echo 'desktop: '
desktop:                                                         
+ echo                                                       
+ '[' '' = GNOME ']'                                     
+ '[' '' = KDE -o '' = KDE1 -o '' = KDE2 ']'                    
+ '[' '' = AnotherLevel ']'                                         
+ '[' -z '' ']'                                      
+ which gdm                                                    
+ preferred=gdm                                            
+ echo 'pref2 is gdm'                                      
pref2 is gdm                                                     
+ '[' -n gdm ']'                                            
+ which gdm  
++ which gdm                                            
+ exec /usr/bin/gdm
Comment 1 Mike A. Harris 2001-06-16 04:18:52 EDT
Use switchdesk to change the desktop.  By the way, this has nothing to do
with the XFree86 package.
Comment 2 Khalid 2001-11-03 18:18:50 EST
No, this dosen't solve the problem, switchedesk doesn't put the right value 
in /etc/sysconfig/desktop, redhat needs to adress this very annoying bug
Comment 3 Mike A. Harris 2001-11-03 21:25:54 EST
Well, it makes the most sense to file the bug against switchdesk then.
;o)
Switchdesk is not part of XFree86.  Reassigning to switchdesk component.
Comment 4 Mike A. Harris 2001-11-03 21:26:40 EST
Bero, no idea if this is a valid bug or not, so I'm reassigning
it to you to decide.
Comment 5 Karsten Hopp 2002-08-06 09:06:44 EDT
Just putting the string KDE into /etc/sysconfig/desktop isn't enough. 
You have to use the following syntax: 
 
DESKTOP="KDE" 
 
Otherwise you'll always get the fallback (gdm)

Note You need to log in before you can comment on or make changes to this bug.